{% extends "senat_campaign/base.html" %}
{% load wagtailimages_tags wagtailcore_tags %}

{% block content %}

<!-- CONTENT -->
<main role="main">

  <section class="section--primary">
    <div class="container">

      <h1 class="lead homepage-heading mb-4">{{ page.title }}</h1>

      <div class="row">
      <div class="col-12 col-lg-8 col-xl-7 mb-4 mb-lg-0">

      <div class="row news mb-4">

        {% for article in articles %}
        <div class="col-12 col-md-6 mb-4">
          <a class="card news__item" href="{% pageurl article %}">
            {% image article.specific.photo fill-400x230 as img %}
            <img data-src="{{ img.url }}" class="lazyload img-fluid card-img-top" alt="{{ article.title }}">
            <div class="card-body">
              <h5>{{ article.title }}</h5>
              <p>{{ article.specific.perex }}</p>
            </div>
            <div class="card-footer">
              <span>přidáno {{ article.specific.date }}</span>
            </div>
          </a>
        </div><!-- /column -->
        {% endfor %}

      </div> <!-- /row -->

      {% if articles.paginator.num_pages > 1 %}
      <nav aria-label="Stránkování aktualit">
        <ul class="pagination justify-content-center">

          {% if articles.has_previous %}
            <li class="page-item"><a class="page-link" href="?page={{ articles.previous_page_number }}">Předchozí</a></li>
          {% endif %}

          {% for page_num in articles.paginator.page_range %}
            {% if page_num == articles.number %}
              <li class="page-item active">
                <a class="page-link" href="#">{{ page_num }} <span class="sr-only">(current)</span></a>
              </li>
            {% else %}
              <li class="page-item"><a class="page-link" href="?page={{ page_num }}">{{ page_num }}</a></li>
            {% endif %}
          {% endfor %}

          {% if articles.has_next %}
            <li class="page-item"><a class="page-link" href="?page={{ articles.next_page_number }}">Další</a></li>
          {% endif %}

        </ul>
      </nav>

      {% endif %}

    </div><!-- /column -->

    {% if page.root_page.facebook %}
        {% if articles.number == 1 %}
    <div class="col-12 col-lg-4 offset-xl-1 text-center">

    <h3 class="lead mb-3">Z mého facebooku</h3>
    <iframe src="https://www.facebook.com/plugins/page.php?href={{ page.root_page.facebook }}&tabs=timeline&width=290&height=500&small_header=true&adapt_container_width=true&hide_cover=true&show_facepile=false&appId=410144066050191" width="290" height="500" style="border:none;overflow:hidden" scrolling="no" frameborder="0" allowTransparency="true" allow="encrypted-media"></iframe>

    </div><!-- /column -->
        {% endif %}
    {% endif %}

    </div> <!-- /row -->

    </div> <!-- /container -->
  </section>

</main>
<!-- /CONTENT -->

{% endblock %}
